<template>
  <q-page>
    <router-view />
  </q-page>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  name: 'Daily',
  data () {
    return {
      dailys: [{ id: 1 }, { id: 2 }]
    }
  },
  computed: {
    ...mapGetters({
      shopProducts: 'shop/shopItems'
    })
  },
  methods: {
    ...mapActions({})
  }
}
</script>

<style scoped>
  a{
    text-decoration: none;
  }
  .time-card{
    color: #148A92;
  }
  .card-top-bg{
    position: absolute;
    width: 100%;
    height: 20%;
    background: linear-gradient(180deg, rgba(34, 60, 71, 0.6) 0%, rgba(24, 47, 57, 0) 100%);
  }
  .card-top-info{
    position: absolute;
    z-index: 100;
    width: 100%;

  }
  .ttl-card{
    font-size: 24px;
    line-height: 24px;
    font-weight: bold;
  }
  .card-info-icon{
    height: 25px;
    display: flex;
    align-items: center;
    color: #9D9D9D;
  }
  .card-top-info-right{
    position: absolute;
    top: 16px;
    right: 16px;
    height: 25px;
    display: flex;
    align-items: center;
    color: #fff;
    font-weight: bold;
  }
  .card-top-info-right svg{
    margin-right: 5px;
  }
  .event-img{
    width: 18px;
    height: 18px;
    background-color: #ff0000;
    overflow: hidden;
    border-radius: 50%;
    margin-right: 5px;
  }
  .event-img img{
    width: 100%;
  }
  .event-circle p{
    position: relative;
    z-index: 10;
    display: flex;
    align-items: center;
  }
  .event-circle p:before{
    position: absolute;
    left: 0;
    content: '';
    height: 24px;
    width: 24px;
    border-radius: 50%;
    background-color: #3FDB87;
    margin-right: 5px;
  }
  .icon-info{
    word-break: break-word;
  }
  .coins{
    font-weight: bold;
    color: #148A92;
    font-size: 18px;
  }
  .coins svg{
    margin-right: 5px;
  }
  .balance{
    color: #A4A4A4;
  }
  .balance-coins{
    color: #148A92;
    font-size: 18px;
    font-weight: bold;
  }
  .dayli-info{
    background: url("../../statics/images/daily-bg.svg") no-repeat;
    background-size: 100% auto;
    background-position: center center;
    width: 100%;
    height: 340px;
  }
</style>
